Bug 990577 - lsmcli: Traceback when it fails by time out
Summary: lsmcli: Traceback when it fails by time out
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libstoragemgmt   
(Show other bugs)
Version: 7.0
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Tony Asleson
QA Contact: Bruno Goncalves
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-31 13:30 UTC by Bruno Goncalves
Modified: 2014-06-18 04:54 UTC (History)
1 user (show)

Fixed In Version: libstoragemgmt-0.0.22-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 10:37:12 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruno Goncalves 2013-07-31 13:30:45 UTC
Description of problem:
Traceback is observed when lsmcli fails due timeout

error: 303 msg: Unhandled exception in plug-in data: Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/lsm/pluginrunner.py", line 94, in run
    **msg['params'])
  File "/usr/lib/python2.7/site-packages/lsm/ontap.py", line 67, in na_wrapper
    return method(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/lsm/ontap.py", line 262, in volume_create
    self.f.volume_create(pool.name, vol_prefix, size_bytes)
  File "/usr/lib/python2.7/site-packages/lsm/na.py", line 335, in volume_create
    self._invoke('volume-create', params)
  File "/usr/lib/python2.7/site-packages/lsm/na.py", line 167, in _invoke
    command, parameters, self.ssl)
  File "/usr/lib/python2.7/site-packages/lsm/na.py", line 105, in netapp_filer
    rc = netapp_filer_parse_response(handler.read())
  File "/usr/lib64/python2.7/socket.py", line 351, in read
    data = self._sock.recv(rbufsize)
  File "/usr/lib64/python2.7/httplib.py", line 567, in read
    s = self.fp.read(amt)
  File "/usr/lib64/python2.7/socket.py", line 380, in read
    data = self._sock.recv(left)
timeout: timed out

Version-Release number of selected component (if applicable):

libstoragemgmt-0.0.21-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Start lsmd daemon
/usr/bin/lsmd

2.Try to execute a command giving short time to execute it, then it fails due time out.

lsmcli -w 300  -u ontap://<target> --create-volume=lsm-timeout-test-lun --size=2G --pool=6e3dc350-811e-11e0-a8a4-00a09827d1ba --provisioning=DEFAULT
error: 303 msg: Unhandled exception in plug-in data: Traceback (most recent call last)


Expected results:
no Traceback

Comment 1 Bruno Goncalves 2013-08-20 10:13:45 UTC
Verified on libstoragemgmt-0.0.22-2.el7 using ontap plugin, but fails with SSL (BZ#998898).

Comment 2 Ludek Smid 2014-06-13 10:37:12 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.